Bug 1779003 - VM power on/off display "Error - undefined method `reload' for #<ForemanAzureRM::AzureRMCompute:0x00007f75f3647b28>" when do the same using from 'Compute Resourses'
Summary: VM power on/off display "Error - undefined method `reload' for #<ForemanAzure...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-03 03:15 UTC by vijsingh
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_azure_rm-2.0.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28438 Normal Closed Undefined method `reload' during PowerOn/Off from CRs page 2020-01-16 08:41:08 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:57 UTC

Description vijsingh 2019-12-03 03:15:40 UTC
Description of problem:

VM power on/off display "Error - undefined method `reload' for #<ForemanAzureRM::AzureRMCompute:0x00007f75f3647b28>" when do the same using from 'Compute Resourses'

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 4.0

How reproducible:

Always

Steps to Reproduce:
1. Try to Power on/off a VM under 
    Infrastructure => Compute Resources => Click on Create Azure RM =>  Virtual Machine Tab => Click 'Power On/Off' for a VM

Actual results:

 VM get Power on/off at Azure Cloud but at the end display ""Error - undefined method `reload' for #<ForemanAzureRM::AzureRMCompute:0x00007f75f3647b28>"


Expected results:

 Error should not be disaply

Additional info:

Comment 3 vijsingh 2019-12-17 08:56:12 UTC
ON_QA Failed:

@Satellite 6.7.0 snap 6.0

Steps/Observations:
 
 - Display messages are incorrect:

  VM power on shows => #<ForemanAzureRm::AzureRmCompute:0x000000000ea451d8> is now Running'
  VM power off shows => '#<ForemanAzureRm::AzureRmCompute:0x0000000011311e68> is now Deallocated'

Comment 5 vijsingh 2020-01-17 12:57:32 UTC
ON_QA Verified

@Satellite 6.7.0 snap 8.0
 
Observation:

  - Display messages are correct.

Comment 8 errata-xmlrpc 2020-04-14 13:27:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.